"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsontoxml = require("jsontoxml");
var yamljs = require("yamljs");
var supportedFormats = {
    json: "json",
    xml: "xml",
    yaml: "yaml"
};
/**
 * Convert scenario to other format
 * @param scenario - scenario to convert
 * @param format - convert scenario to this format (json, xml, yaml)
 * @param section [option] - specify which part of scenario convert. For example, you can convert only triggers. If not defined it'll convert whole scenario.
 */
exports.convertScenario = function (scenario, format, section) {
    var selectedSection = section ? scenario[section] : scenario;
    switch (format) {
        case "json": {
            return JSON.stringify(selectedSection, null, 2);
        }
        case "xml": {
            return jsontoxml((_a = {}, _a[section ? section : "scenario"] = scenario, _a), { prettyPrint: true });
        }
        case "yaml": {
            return yamljs.stringify(selectedSection);
        }
        default: {
            throw new Error("undefined format '" + format + "'. Supported formats are: '" + Object.keys(supportedFormats) + "'");
        }
    }
    var _a;
};
