import { ScenarioStruct } from "../io/Structures/ScenarioStruct";
import { UnitStruct } from "../io/Structures/UnitStruct";
import { ConditionStruct } from "../io/Structures/ConditionStruct";
import { EffectStruct } from "../io/Structures/EffectStruct";
/**
 * @param scenario
 * @param includeGaia - should also returns gaia units ?
 */
export declare const getAllUnits: (scenario: ScenarioStruct, includeGaia?: boolean) => UnitStruct[];
/**
 * Get all conditions in scenario
 * @param scenario
 */
export declare const getAllConditions: (scenario: ScenarioStruct) => ConditionStruct[];
/**
 * Get all effects in scenario
 * @param scenario
 */
export declare const getAllEffects: (scenario: ScenarioStruct) => EffectStruct[];
/**
 * @param scenario
 * @param includeGaia - should also includes gaia unit ids ?
 */
export declare const getAllUnitIds: (scenario: ScenarioStruct, includeGaia?: boolean) => number[];
/**
 * Get only gaia units
 * @param scenario
 */
export declare const getGaiaUnits: (scenario: ScenarioStruct) => UnitStruct[];
/**
 * Returns scenario tiles as 2d Array
 * @param scenario
 * @desc by default, scenario tiles are stored as 1d Array
 */
export declare const getMap2dArray: (scenario: ScenarioStruct) => [number, number, number][][];
/**
 * Find unit by it's id
 * @param scenario
 * @param unitId
 */
export declare const getUnitById: (scenario: ScenarioStruct, unitId: number) => UnitStruct | null;
/**
 * Get tile at Row and Col
 * @param scenario
 * @param row
 * @param col
 */
export declare const getTile: (scenario: ScenarioStruct, row: number, col: number) => [number, number, number];
/**
 * Receive dominant terrain Id
 * @param scenario
 */
export declare const getDominantTerrain: (scenario: ScenarioStruct) => [string, number];
