"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PlayerData1Struct_1 = require("./PlayerData1Struct");
var StructureHelpers_1 = require("../utils/StructureHelpers");
function readCompressedHeaderStruct(data) {
    return {
        nextUnitId: data.getUint32(),
        version2: parseFloat(data.getFloat32().toFixed(2)),
        playerNames: StructureHelpers_1.repeat(function () { return data.getChar(256); }, 16),
        playerNamesIDs: StructureHelpers_1.repeat(function () { return data.getUint32(); }, 16),
        playersData: StructureHelpers_1.repeat(function () { return PlayerData1Struct_1.readPlayerData1(data); }, 16),
        unknown1: data.getUint32(),
        unknown2: data.getChar(1),
        unknown3: data.getFloat32(),
        originalFilename: data.getStr16()
    };
}
exports.readCompressedHeaderStruct = readCompressedHeaderStruct;
