"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LocationStruct_1 = require("./LocationStruct");
var AreaStruct_1 = require("./AreaStruct");
var StructureHelpers_1 = require("../utils/StructureHelpers");
function readEffect(data) {
    var partial = {
        type: data.getInt32(),
        check: data.getInt32(),
        aiGoal: data.getInt32(),
        amount: data.getInt32(),
        resource: data.getInt32(),
        diplomacy: data.getInt32(),
        unitsCount: data.getInt32(),
        unitId: data.getInt32(),
        unitName: data.getInt32(),
        source: data.getInt32(),
        target: data.getInt32(),
        tech: data.getInt32(),
        instructionId: data.getInt32(),
        soundId: data.getInt32(),
        displayDuration: data.getInt32(),
        triggerId: data.getInt32(),
        location: LocationStruct_1.readLocation(data),
        area: AreaStruct_1.readArea(data),
        unitGroup: data.getInt32(),
        unitType: data.getInt32(),
        instrPanel: data.getInt32(),
        instrText: data.getStr32(),
        soundFile: data.getStr32()
    };
    var unitIDs = StructureHelpers_1.repeat(function () { return data.getInt32(); }, partial.unitsCount);
    return Object.assign(partial, { unitIDs: unitIDs });
}
exports.readEffect = readEffect;
