"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StructureHelpers_1 = require("../utils/StructureHelpers");
function readPlayerDat4(data) {
    var partial1 = {
        constName: data.getStr16(),
        startCam: [data.getFloat32(), data.getFloat32()],
        startCam2: [data.getInt16(), data.getInt16()],
        alliedVictory: data.getUint8(),
        // unknown1: data.getFloat32(),
        // unknown2: data.getUint16(),
        diplomacyCount: data.getUint16()
    };
    var partial2 = {
        diplomacy1: StructureHelpers_1.repeat(function () { return data.getUint8(); }, partial1.diplomacyCount),
        diplomacy2: StructureHelpers_1.repeat(function () { return data.getUint32(); }, 9),
        color: data.getUint32(),
        unknown3: data.getFloat32(),
        unknown4: data.getUint16()
    };
    var partial3 = {
        unknown5: partial2.unknown3 === 2.0 ? StructureHelpers_1.repeat(function () { return data.getUint8(); }, 8) : undefined,
        unknown6: StructureHelpers_1.repeat(function () { return data.skip(44); }, partial2.unknown4),
        unknown7: StructureHelpers_1.repeat(function () { return data.getUint8(); }, 7),
        unknown8: data.getInt32()
    };
    return Object.assign(partial3, Object.assign(partial2, partial1));
}
exports.readPlayerDat4 = readPlayerDat4;
