"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var StructureHelpers_1 = require("../utils/StructureHelpers");
// #region structures
var HeaderStruct_1 = require("./HeaderStruct");
var CompressedHeaderStruct_1 = require("./CompressedHeaderStruct");
var MessagesStruct_1 = require("./MessagesStruct");
var CinematicStruct_1 = require("./CinematicStruct");
var ImageStruct_1 = require("./ImageStruct");
var PlayerData2Struct_1 = require("./PlayerData2Struct");
var GoalsStruct_1 = require("./GoalsStruct");
var DiplomacyStruct_1 = require("./DiplomacyStruct");
var DisablesStruct_1 = require("./DisablesStruct");
var MapStruct_1 = require("./MapStruct");
var UnitsStruct_1 = require("./UnitsStruct");
var PlayerData4Struct_1 = require("./PlayerData4Struct");
var TriggerStruct_1 = require("./TriggerStruct");
exports.readScenario = function (data) {
    var uncompressedHeader = {
        header: HeaderStruct_1.readHeader(data)
    };
    var compressed = data.inflate(uncompressedHeader.header.size + 8);
    var compressedPartial1 = {
        compressedHeader: CompressedHeaderStruct_1.readCompressedHeaderStruct(compressed),
        messages: MessagesStruct_1.readMessages(compressed),
        cinematics: CinematicStruct_1.readCinematic(compressed),
        image: ImageStruct_1.readImage(compressed),
        playersData2: PlayerData2Struct_1.readPlayerData2(compressed),
        goals: GoalsStruct_1.readGoals(compressed),
        diplomacy: DiplomacyStruct_1.readDiplomacy(compressed),
        disables: DisablesStruct_1.readDisablesStruct(compressed),
        map: MapStruct_1.readMapStruct(compressed),
        units: UnitsStruct_1.readUnitsStruct(compressed),
        playersCount: compressed.getUint32(),
        playersData4: StructureHelpers_1.repeat(function () { return PlayerData4Struct_1.readPlayerDat4(compressed); }, 8) // TODO: should be playersCount ,
    };
    compressed.skip(8); // Should be Float64, better version
    var triggersInstructionStart = compressed.getUint8();
    var triggersCount = compressed.getUint32();
    var compressedPartial2 = {
        triggers: StructureHelpers_1.repeat(function () { return TriggerStruct_1.readTrigger(compressed); }, triggersCount),
        triggersOrd: StructureHelpers_1.repeat(function () { return data.getInt32(); }, triggersCount)
    };
    return __assign({}, uncompressedHeader, compressedPartial1, { triggersCount: triggersCount,
        triggersInstructionStart: triggersInstructionStart }, compressedPartial2);
};
