import ASData from "asdata";
import { EffectStruct } from "./EffectStruct";
import { ConditionStruct } from "./ConditionStruct";
export declare type TriggerStruct = {
    /**
     * Is trigger enabled at start ?
     */
    isEnabled: number;
    /**
     * Should trigger loop ?
     */
    isLoop: number;
    /**
     * String Id
     */
    strId: number;
    /**
     * Description
     */
    desc: number;
    /**
     * Description order
     */
    descOrd: number;
    /**
     * After which amount of time to start
     */
    timeStart: number;
    /**
     * Text
     */
    text: string;
    /**
     * Trigger name, only 44 chars are displayed in UI
     */
    name: string;
    effectCount: number;
    effects: EffectStruct[];
    effectsOrd: number[];
    conditionCount: number;
    conditions: ConditionStruct[];
    conditionsOrd: number[];
};
export declare const readTrigger: (data: ASData) => TriggerStruct;
