"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EffectStruct_1 = require("./EffectStruct");
var ConditionStruct_1 = require("./ConditionStruct");
var StructureHelpers_1 = require("../utils/StructureHelpers");
exports.readTrigger = function (data) {
    var partial = {
        isEnabled: data.getUint32(),
        isLoop: data.getInt8(),
        strId: data.getInt32(),
        desc: data.getInt8(),
        descOrd: data.getUint32(),
        timeStart: data.getUint32(),
        text: data.getStr32(),
        name: data.getStr32()
    };
    var effectCount = data.getUint32();
    var effects = {
        effectCount: effectCount,
        effects: StructureHelpers_1.repeat(function () { return EffectStruct_1.readEffect(data); }, effectCount),
        effectsOrd: StructureHelpers_1.repeat(function () { return data.getInt32(); }, effectCount)
    };
    var conditionCount = data.getUint32();
    var conditions = {
        conditionCount: conditionCount,
        conditions: StructureHelpers_1.repeat(function () { return ConditionStruct_1.readCondition(data); }, conditionCount),
        conditionsOrd: StructureHelpers_1.repeat(function () { return data.getInt32(); }, conditionCount)
    };
    return Object.assign(partial, Object.assign(effects, conditions));
};
