import { ScenarioStruct } from "../io/IO";
export declare class Cursor {
    x: number;
    y: number;
    paint: boolean;
    fill: number;
    constructor(x: number, y: number, fill: number);
    goto(x: number, y: number): void;
}
export declare class Paint {
    private _tiles;
    cursor: Cursor;
    readonly rows: number;
    readonly cols: number;
    constructor(scenario: ScenarioStruct);
    private _checkBounds(x, y);
    goto(x: number, y: number): void;
    point(x: number, y: number, fill?: number): void;
    /**
     * Get interpolation point between two points at magnitude
     */
    lerp(p1: number, p2: number, magnitude: number): number;
    /**
     * Get distance between two points
     */
    dist(x1: number, y1: number, x2: number, y2: number): number;
    /**
     * Draw line
     */
    line(x1: number, y1: number, x2: number, y2: number): void;
    /**
     * Draw box
     */
    box(x1: number, y1: number, w: number, h: number): void;
    /**
     * Draw circle
     */
    circ(x: number, y: number, m: number): void;
}
