"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Terrain_1 = require("../data/Terrain");
var Civilization_1 = require("../data/Civilization");
var chalk_1 = require("chalk");
var Helpers_1 = require("../helpers/Helpers");
var green = chalk_1.default.green, yellow = chalk_1.default.yellow;
var civilizations = Object.entries(Civilization_1.Civilization).reduce(function (acc, civ) {
    return (__assign({}, acc, (_a = {}, _a[civ[1].id] = civ[0], _a)));
    var _a;
});
var terrains = Object.entries(Terrain_1.Terrain).reduce(function (acc, ter) {
    return (__assign({}, acc, (_a = {}, _a[ter[1].id] = ter[0], _a)));
    var _a;
});
exports.printStats = function (scenario) {
    console.log(green("Filename:") + " " + scenario.compressedHeader.originalFilename);
    console.log(green("Size:") + " " + scenario.map.width + " x " + scenario.map.height);
    console.log(green("Players:") + " " + scenario.header.players);
    scenario.compressedHeader.playersData.forEach(function (player, index) {
        var playerName = scenario.compressedHeader.playerNames[index].replace(/\0/g, "");
        var civilization = civilizations[player.civilization];
        if (player.active) {
            if (player.human) {
                console.log("- [" + index + "] " + yellow("Player") + " (" + civilization + ")");
            }
            else {
                console.log("- [" + index + "] " + playerName + " (" + civilization + ")");
            }
        }
    });
    var unitsCount = scenario.units.sections.reduce(function (acc, val) { return acc + val.count; }, 0);
    console.log("" + green("Units:"));
    console.log("- GAIA: " + unitsCount);
    console.log("- Players: " + (unitsCount - scenario.units.sections[0].count));
    console.log(green("Triggers:") + " " + scenario.triggersCount);
    if (scenario.triggersCount > 0) {
        var _a = scenario.triggers.reduce(function (acc, val) { return [acc[0] + val.effectCount, acc[1] + val.conditionCount]; }, [0, 0]), effectsCount = _a[0], conditionsCount = _a[1];
        console.log("- " + yellow("Effects") + " " + effectsCount);
        console.log("- " + yellow("Conditions") + " " + conditionsCount);
    }
    var terId = Helpers_1.getDominantTerrain(scenario);
    var terrain = terrains[parseInt(terId[0])];
    console.log(yellow("Terrain") + ": " + terrain);
};
